<?php
if (!defined('IN_59MIAO'))
{
	exit('Access Defined');
}
//首页图片轮换控制器
class ImgsiderAction extends Action {
	public function __construct(){
		parent::__construct();
	}	
	public function index(){
		parent::page();		
		$this->_tpl->assign('AllImgsider',$this->_model->findAll());
		$this->_tpl->display(SMARTY_ADMIN.'imgsider/show.tpl');
	}		
	public function add(){
		if (isset($_POST['send'])) $this->_model->add() ? $this->_redirect->succ('?a=imgsider', '首页图片轮换新增成功！') : $this->_redirect->error('首页图片轮换新增失败！');		
		$this->_tpl->display(SMARTY_ADMIN.'imgsider/add.tpl');
	}		
	public function delete() {
		if (isset($_GET['id'])) $this->_model->delete() ? $this->_redirect->succ(Tool::getPrevPage(), '首页图片轮换名称删除成功！') : $this->_redirect->error('首页图片轮换名称删除失败！');
	}	
	public function update() {
		if (isset($_POST['send'])) $this->_model->update() ? $this->_redirect->succ('?a=imgsider', '首页图片轮换名称修改成功！') : $this->_redirect->error('首页图片轮换名称修改失败！');
		if (isset($_GET['id'])) {
			$this->_tpl->assign('OneImgsider', $this->_model->findOne());
			$this->_tpl->display(SMARTY_ADMIN.'imgsider/update.tpl');
		}
	}
	public function sort() {
		if (isset($_POST['send'])) $this->_model->sort() ? $this->_redirect->succ(Tool::getPrevPage()) : $this->_redirect->error('排序失败！');
	}	
}
?>